Subject: SWI-Prolog 3.3.7

From: Jan Wielemaker <[email-masked]>
Date: Fri, 9 Jun 2000 17:00:34 +0200

Hi,

I've uploaded SWI-Prolog 3.3.7 to the usual place (source, Windows
binary and PC/Linux RPM).  Mostly small bugfixes.  See the
ChangeLog for details.

The C++ interface has been added to the packages directory, so it
is easier to find.  No changes.

Work has started on an interface to the Berkeley DB package by
SleepyCat software that allows for storing Prolog terms externally.
CVS users with DB installed (standard on Linux) can check-out the
package directory 'db' to see what is happening.  This requires
3.3.7, which support `external records': exporting and importing
Prolog terms quickly in a stable format.  Eventually, this interface
should grow to something that makes handling large bodies of RDF
statements, dictionaries, thesauri, etc. much easier.

	Regards --- Jan